Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001729 [Piwigo] display text always 2010.06.09 20:22 2011.09.02 21:47
Reporter tosca View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.3.0RC1 Product Version
  Target Version 2.3.0RC1 Product Build
Summary 0001729: Use the picture name instead of file name in the title attribut
Description On the category page, filenames are displayed when hovering over thumbnails.
Picture names would be much more user-friendly for the visitors.
Steps To Reproduce Hovering over any thumbnail in the category page.
Additional Information http://fr.piwigo.org/forum/viewtopic.php?pid=145697#p145697 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005384)
svn (reporter)
2011.08.06 15:38

[Subversion] r11918 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:1729
Instead of using the get_thumbnail_title() which return the "file : nb of ko", it's better to use the file name.
Here if the $conf['show_thumbnail_caption'] is false, the old title will be set : maybe it should be better to remove get_thumbnail_title()
(0005427)
flop25 (developer)
2011.08.24 13:42

revert : TN_TITLE will be chaned by php (adding ratings or views)
(0005428)
svn (reporter)
2011.08.24 13:43

[Subversion] r11990 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:1729
revert of changes : the TN_TITLE will be changed in php
(0005435)
svn (reporter)
2011.08.26 13:02

[Subversion] r11996 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1729: rewrite function get_thumbnail_title to provide a complete tooltip
to the template file. It include the name of the photo, details such as number
of visits, number of comments, rating score, and the description.
(0005436)
svn (reporter)
2011.08.26 14:09

[Subversion] r11997 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1729: avoid too long description in tooltips
(0005437)
svn (reporter)
2011.08.26 14:20

[Subversion] r11998 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1729: protect thumbnail title against HTML special chars

- Issue History
Date Modified Username Field Change
2010.06.09 20:22 tosca New Issue
2010.06.09 20:22 tosca browser => any
2010.06.09 20:22 tosca Web server => Apache 1.3.x
2010.06.09 20:23 tosca Additional Information Updated
2011.05.12 17:09 flop25 Issue Monitored: flop25
2011.05.12 17:19 flop25 Status new => assigned
2011.05.12 17:19 flop25 Assigned To => flop25
2011.08.06 15:38 svn Checkin
2011.08.06 15:38 svn Note Added: 0005384
2011.08.06 15:40 flop25 Status assigned => resolved
2011.08.06 15:40 flop25 Fixed in Version => 2.3.0beta3
2011.08.06 15:40 flop25 Resolution open => fixed
2011.08.24 13:42 flop25 Assigned To flop25 => plg
2011.08.24 13:42 flop25 Note Added: 0005427
2011.08.24 13:42 flop25 Status resolved => feedback
2011.08.24 13:42 flop25 Resolution fixed => reopened
2011.08.24 13:43 svn Checkin
2011.08.24 13:43 svn Note Added: 0005428
2011.08.26 13:02 svn Checkin
2011.08.26 13:02 svn Note Added: 0005435
2011.08.26 14:09 svn Checkin
2011.08.26 14:09 svn Note Added: 0005436
2011.08.26 14:20 svn Checkin
2011.08.26 14:20 svn Note Added: 0005437
2011.09.02 21:47 plg Status feedback => closed
2011.09.02 21:47 plg Resolution reopened => fixed
2011.09.02 21:47 plg Fixed in Version 2.3.0beta3 => 2.3.0RC1
2011.09.02 21:47 plg Target Version => 2.3.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker